import { ConfigRequestArg } from './args/ConfigRequestArg';
export declare function configProviderForObject(config: object): ConfigProvider;
/**
 * Returns config value at given request path.
 *
 * Throws an error if default value is not defined and value at given path does not exist
 *
 * If value is not defined returns default value from request
 */
export interface ConfigProvider<T = any> {
    (request: ConfigRequestArg<T>): T;
}
