"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransformArg = void 0;
const ContainerArg_1 = require("./ContainerArg");
/**
 * Applies transformer function on result of provided argument
 */
class TransformArg extends ContainerArg_1.ContainerArg {
    constructor(transformer, arg) {
        super();
        this.transformer = transformer;
        this.arg = arg;
        Object.freeze(this);
    }
    async getArgument(container) {
        return this.transformer(await this.arg.getArgument(container));
    }
    getDependentServices(container) {
        return this.arg.getDependentServices(container);
    }
}
exports.TransformArg = TransformArg;
