"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.preloadServiceModules = void 0;
const glob_1 = require("glob");
const Service_1 = require("./decorators/Service");
function preloadServiceModules(container, globPattern, globOptions = {}) {
    Service_1.Service.useContainer(container);
    const patterns = Array.isArray(globPattern) ? globPattern : [globPattern];
    const finalGlobOptions = {
        ...globOptions,
        ...{ realpath: true }
    };
    for (const pattern of patterns) {
        const modulesPaths = glob_1.sync(pattern, finalGlobOptions);
        for (const modulePath of modulesPaths) {
            require(modulePath);
        }
    }
}
exports.preloadServiceModules = preloadServiceModules;
